Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.config
Class AbstractKernelConfigurator

    java.lang.Object
      org.jboss.kernel.plugins.event.AbstractEventEmitter
          org.jboss.kernel.plugins.AbstractKernelObject
              org.jboss.kernel.plugins.config.AbstractKernelConfigurator

All Implemented Interfaces:
  KernelConfigurator, KernelEventEmitter, KernelObject

public class AbstractKernelConfigurator
extends AbstractKernelObject
implements KernelConfigurator

Abstract Kernel configurator.

Version:
  $Revision: 1.15 $
Author:
  Adrian Brock

Field Summary
`protected KernelConfig` | `config` The kernel config

Fields inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`kernel, log`

Fields inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`eventListenerRegistry, NULL`

Constructor Summary
`AbstractKernelConfigurator()` Create an abstract kernel configurator

Method Summary
`BeanInfo` | `getBeanInfo(BeanMetaData metaData)` Get the BeanInfo for some metadata
`BeanInfo` | `getBeanInfo(Class clazz)` Get the BeanInfo
`BeanInfo` | `getBeanInfo(String className, ClassLoader cl)` Get the BeanInfo
`org.jboss.reflect.spi.ClassInfo` | `getClassInfo(Class clazz)` Get the class info for a class
`org.jboss.reflect.spi.ClassInfo` | `getClassInfo(String className, ClassLoader cl)` Get the class info for a class
`org.jboss.joinpoint.spi.Joinpoint` | `getConstructorJoinPoint(BeanInfo info)` Get a constructor join point
`org.jboss.joinpoint.spi.Joinpoint` | `getConstructorJoinPoint(BeanInfo info, ConstructorMetaData metaData, BeanMetaData beanMetaData)` Get a constructor join point
`org.jboss.joinpoint.spi.Joinpoint` | `getConstructorJoinPoint(BeanMetaData metaData)` Get a constructor join point
`org.jboss.joinpoint.spi.MethodJoinpoint` | `getMethodJoinPoint(BeanInfo info, ClassLoader cl, String name, List parameters, boolean isStatic, boolean isPublic)` Get a method joinpoint
`org.jboss.joinpoint.spi.TargettedJoinpoint` | `getPropertyGetterJoinPoint(BeanInfo info, String property)` Get property getter join point
`org.jboss.joinpoint.spi.TargettedJoinpoint` | `getPropertyNullerJoinPoint(BeanInfo info, PropertyMetaData metaData)` Get property nuller join point
`org.jboss.joinpoint.spi.TargettedJoinpoint` | `getPropertyNullerJoinPoint(PropertyInfo info, PropertyMetaData metaData)` Get property nuller join point
`Set` | `getPropertyNullerJoinPoints(BeanInfo info, BeanMetaData metaData)` Get property nuller join points
`org.jboss.joinpoint.spi.TargettedJoinpoint` | `getPropertySetterJoinPoint(BeanInfo info, ClassLoader cl, PropertyMetaData metaData)` Get property setter join point
`org.jboss.joinpoint.spi.TargettedJoinpoint` | `getPropertySetterJoinPoint(BeanInfo info, String property, ClassLoader cl, ValueMetaData vmd)` Get property setter join point
`org.jboss.joinpoint.spi.TargettedJoinpoint` | `getPropertySetterJoinPoint(PropertyInfo info, ClassLoader cl, PropertyMetaData metaData)` Get property setter join point
`Set` | `getPropertySetterJoinPoints(BeanInfo info, BeanMetaData metaData)` Get property setter join points
`void` | `setKernel(Kernel kernel)` Set the kernel.

Methods inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`getKernel`

Methods inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`createEvent, fireKernelEvent, fireKernelEvent, hasListeners, nextEmitterSequence, registerListener, unregisterListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.kernel.spi.KernelObject
`getKernel`

Methods inherited from interface org.jboss.kernel.spi.event.KernelEventEmitter
`fireKernelEvent, registerListener, unregisterListener`

Field Detail

### config

    protected KernelConfig config

  The kernel config

Constructor Detail

### AbstractKernelConfigurator

    public AbstractKernelConfigurator()
                               throws Exception

  Create an abstract kernel configurator

Throws:
  `Exception` - for any error

Method Detail

### getBeanInfo

    public BeanInfo getBeanInfo(String className,
                                ClassLoader cl)
                         throws Throwable

  Description copied from interface: `KernelConfigurator`
  Get the BeanInfo

  Specified by:
    `getBeanInfo` in interface `KernelConfigurator`
  Parameters:
    `className` - the class name
    `cl` - the classloader
  Returns:
    the bean info
  Throws:
    `Throwable` - for any error

### getBeanInfo

    public BeanInfo getBeanInfo(Class clazz)
                         throws Throwable

  Description copied from interface: `KernelConfigurator`
  Get the BeanInfo

  Specified by:
    `getBeanInfo` in interface `KernelConfigurator`
  Parameters:
    `clazz` - the class
  Returns:
    the bean info
  Throws:
    `Throwable` - for any error

### getBeanInfo

    public BeanInfo getBeanInfo(BeanMetaData metaData)
                         throws Throwable

  Description copied from interface: `KernelConfigurator`
  Get the BeanInfo for some metadata

  Specified by:
    `getBeanInfo` in interface `KernelConfigurator`
  Parameters:
    `metaData` - the metadata
  Returns:
    the bean info
  Throws:
    `Throwable` - for any error

### getClassInfo

    public org.jboss.reflect.spi.ClassInfo getClassInfo(String className,
                                                        ClassLoader cl)
                                                 throws Throwable

  Description copied from interface: `KernelConfigurator`
  Get the class info for a class

  Specified by:
    `getClassInfo` in interface `KernelConfigurator`
  Parameters:
    `className` - the class name
    `cl` - the classloader
  Returns:
    the class info
  Throws:
    `Throwable` - for any error

### getClassInfo

    public org.jboss.reflect.spi.ClassInfo getClassInfo(Class clazz)
                                                 throws Throwable

  Description copied from interface: `KernelConfigurator`
  Get the class info for a class

  Specified by:
    `getClassInfo` in interface `KernelConfigurator`
  Parameters:
    `clazz` - the class
  Returns:
    the class info
  Throws:
    `Throwable` - for any error

### getConstructorJoinPoint

    public org.jboss.joinpoint.spi.Joinpoint getConstructorJoinPoint(BeanInfo info)
                                                              throws Throwable

  Description copied from interface: `KernelConfigurator`
  Get a constructor join point

  Specified by:
    `getConstructorJoinPoint` in interface `KernelConfigurator`
  Parameters:
    `info` - the bean info
  Returns:
    the join point
  Throws:
    `Throwable` - for any error

### getConstructorJoinPoint

    public org.jboss.joinpoint.spi.Joinpoint getConstructorJoinPoint(BeanMetaData metaData)
                                                              throws Throwable

  Description copied from interface: `KernelConfigurator`
  Get a constructor join point

  Specified by:
    `getConstructorJoinPoint` in interface `KernelConfigurator`
  Parameters:
    `metaData` - the bean metadata
  Returns:
    the join point
  Throws:
    `Throwable` - for any error

### getConstructorJoinPoint

    public org.jboss.joinpoint.spi.Joinpoint getConstructorJoinPoint(BeanInfo info,
                                                                     ConstructorMetaData metaData,
                                                                     BeanMetaData beanMetaData)
                                                              throws Throwable

  Description copied from interface: `KernelConfigurator`
  Get a constructor join point

  Specified by:
    `getConstructorJoinPoint` in interface `KernelConfigurator`
  Parameters:
    `info` - the bean info
    `metaData` - the constructor metadata
    `beanMetaData` -
  Returns:
    the join point
  Throws:
    `Throwable` - for any error

### getPropertyGetterJoinPoint

    public org.jboss.joinpoint.spi.TargettedJoinpoint getPropertyGetterJoinPoint(BeanInfo info,
                                                                                 String property)
                                                                          throws Throwable

  Description copied from interface: `KernelConfigurator`
  Get property getter join point

  Specified by:
    `getPropertyGetterJoinPoint` in interface `KernelConfigurator`
  Parameters:
    `info` - the bean info
    `property` - the property name
  Returns:
    the join point
  Throws:
    `Throwable` - for any error

### getPropertySetterJoinPoints

    public Set getPropertySetterJoinPoints(BeanInfo info,
                                           BeanMetaData metaData)
                                    throws Throwable

  Description copied from interface: `KernelConfigurator`
  Get property setter join points

  Specified by:
    `getPropertySetterJoinPoints` in interface `KernelConfigurator`
  Parameters:
    `info` - the bean info
    `metaData` - the bean metadata
  Returns:
    the join points
  Throws:
    `Throwable` - for any error

### getPropertySetterJoinPoint

    public org.jboss.joinpoint.spi.TargettedJoinpoint getPropertySetterJoinPoint(BeanInfo info,
                                                                                 ClassLoader cl,
                                                                                 PropertyMetaData metaData)
                                                                          throws Throwable

  Description copied from interface: `KernelConfigurator`
  Get property setter join point

  Specified by:
    `getPropertySetterJoinPoint` in interface `KernelConfigurator`
  Parameters:
    `info` - the bean info
    `cl` - the classloader
    `metaData` - the property metadata
  Returns:
    the join point
  Throws:
    `Throwable` - for any error

### getPropertySetterJoinPoint

    public org.jboss.joinpoint.spi.TargettedJoinpoint getPropertySetterJoinPoint(PropertyInfo info,
                                                                                 ClassLoader cl,
                                                                                 PropertyMetaData metaData)
                                                                          throws Throwable

  Description copied from interface: `KernelConfigurator`
  Get property setter join point

  Specified by:
    `getPropertySetterJoinPoint` in interface `KernelConfigurator`
  Parameters:
    `info` - the property info
    `cl` - the classloader
    `metaData` - the property metadata
  Returns:
    the join point
  Throws:
    `Throwable` - for any error

### getPropertySetterJoinPoint

    public org.jboss.joinpoint.spi.TargettedJoinpoint getPropertySetterJoinPoint(BeanInfo info,
                                                                                 String property,
                                                                                 ClassLoader cl,
                                                                                 ValueMetaData vmd)
                                                                          throws Throwable

  Description copied from interface: `KernelConfigurator`
  Get property setter join point

  Specified by:
    `getPropertySetterJoinPoint` in interface `KernelConfigurator`
  Parameters:
    `info` - the bean info
    `property` - the property name
    `cl` - the classloader
    `vmd` - the value metadata
  Returns:
    the join point
  Throws:
    `Throwable` - for any error

### getPropertyNullerJoinPoints

    public Set getPropertyNullerJoinPoints(BeanInfo info,
                                           BeanMetaData metaData)
                                    throws Throwable

  Description copied from interface: `KernelConfigurator`
  Get property nuller join points

  Specified by:
    `getPropertyNullerJoinPoints` in interface `KernelConfigurator`
  Parameters:
    `info` - the bean info
    `metaData` - the bean metadata
  Returns:
    the join points
  Throws:
    `Throwable` - for any error

### getPropertyNullerJoinPoint

    public org.jboss.joinpoint.spi.TargettedJoinpoint getPropertyNullerJoinPoint(BeanInfo info,
                                                                                 PropertyMetaData metaData)
                                                                          throws Throwable

  Description copied from interface: `KernelConfigurator`
  Get property nuller join point

  Specified by:
    `getPropertyNullerJoinPoint` in interface `KernelConfigurator`
  Parameters:
    `info` - the bean info
    `metaData` - the property metadata
  Returns:
    the join point
  Throws:
    `Throwable` - for any error

### getPropertyNullerJoinPoint

    public org.jboss.joinpoint.spi.TargettedJoinpoint getPropertyNullerJoinPoint(PropertyInfo info,
                                                                                 PropertyMetaData metaData)
                                                                          throws Throwable

  Description copied from interface: `KernelConfigurator`
  Get property nuller join point

  Specified by:
    `getPropertyNullerJoinPoint` in interface `KernelConfigurator`
  Parameters:
    `info` - the property info
    `metaData` - the property metadata
  Returns:
    the join point
  Throws:
    `Throwable` - for any error

### getMethodJoinPoint

    public org.jboss.joinpoint.spi.MethodJoinpoint getMethodJoinPoint(BeanInfo info,
                                                                      ClassLoader cl,
                                                                      String name,
                                                                      List parameters,
                                                                      boolean isStatic,
                                                                      boolean isPublic)
                                                               throws Throwable

  Description copied from interface: `KernelConfigurator`
  Get a method joinpoint

  Specified by:
    `getMethodJoinPoint` in interface `KernelConfigurator`
  Parameters:
    `info` - the bean info
    `cl` - the classloader
    `name` - the method name
    `parameters` - the parameter metadata
    `isStatic` - whether the method is static
    `isPublic` - whether the method is public
  Returns:
    the method join point
  Throws:
    `Throwable` - for any error

### setKernel

    public void setKernel(Kernel kernel)
                   throws Throwable

  Description copied from interface: `KernelObject`
  Set the kernel.

  Specified by:
    `setKernel` in interface `KernelObject`
  Overrides:
    `setKernel` in class `AbstractKernelObject`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.